using System;

internal sealed class Delegate772 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate772 delegate772_1)
	{
		return delegate772_1(object_0);
	}

	public extern Delegate772(object object_0, IntPtr intptr_0);

	static Delegate772()
	{
		Class10.smethod_13(typeof(Delegate772).TypeHandle);
	}

	internal static Delegate772 delegate772_0;
}
